/*43. Write a query in SQL to find the first and last name of a director and the movie he or she directed, and the actress
 appeared which first name was Claire and last name was Danes along with her role in that movie. */
SELECT dir_fname, dir_lname, mov_title, act_fname, act_lname, role  
FROM actor  
JOIN movie_cast   
  ON actor.act_id=movie_cast.act_id  
JOIN movie_direction   
  ON movie_cast.mov_id=movie_direction.mov_id  
JOIN director   
  ON movie_direction.dir_id=director.dir_id  
JOIN movie   
  ON movie.mov_id=movie_direction.mov_id  
WHERE act_fname='Claire'   
  AND act_lname='Danes'; 